com.hazelcast.config

## Class JoinConfig

- java.lang.Object
- - com.hazelcast.config.JoinConfig

-     public class JoinConfig
      extends Object

  Contains the 3 different join configurations; TCP-IP/multicast/AWS. Only one of them should be enabled!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AwsConfig` | `getAwsConfig()`
    `AzureConfig` | `getAzureConfig()`
    `DiscoveryConfig` | `getDiscoveryConfig()` Returns the currently defined `DiscoveryConfig`
    `EurekaConfig` | `getEurekaConfig()`
    `GcpConfig` | `getGcpConfig()`
    `KubernetesConfig` | `getKubernetesConfig()`
    `MulticastConfig` | `getMulticastConfig()`
    `TcpIpConfig` | `getTcpIpConfig()`
    `JoinConfig` | `setAwsConfig(AwsConfig awsConfig)`
    `JoinConfig` | `setAzureConfig(AzureConfig azureConfig)`
    `JoinConfig` | `setDiscoveryConfig(DiscoveryConfig discoveryConfig)` Sets a custom defined `DiscoveryConfig`
    `JoinConfig` | `setEurekaConfig(EurekaConfig eurekaConfig)`
    `JoinConfig` | `setGcpConfig(GcpConfig gcpConfig)`
    `JoinConfig` | `setKubernetesConfig(KubernetesConfig kubernetesConfig)`
    `JoinConfig` | `setMulticastConfig(MulticastConfig multicastConfig)`
    `JoinConfig` | `setTcpIpConfig(TcpIpConfig tcpIpConfig)`
    `String` | `toString()`
    `void` | `verify()` Verifies this JoinConfig is valid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinConfig

          public JoinConfig()

  - ### Method Detail

    - #### getMulticastConfig

          public MulticastConfig getMulticastConfig()

      Returns:
        the multicastConfig join configuration

    - #### setMulticastConfig

          public JoinConfig setMulticastConfig(MulticastConfig multicastConfig)

      Parameters:
        `multicastConfig` - the multicastConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if multicastConfig is null

    - #### getTcpIpConfig

          public TcpIpConfig getTcpIpConfig()

      Returns:
        the tcpIpConfig

    - #### setTcpIpConfig

          public JoinConfig setTcpIpConfig(TcpIpConfig tcpIpConfig)

      Parameters:
        `tcpIpConfig` - the tcpIpConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if tcpIpConfig is null

    - #### getAwsConfig

          public AwsConfig getAwsConfig()

      Returns:
        the awsConfig join configuration

    - #### setAwsConfig

          public JoinConfig setAwsConfig(AwsConfig awsConfig)

      Parameters:
        `awsConfig` - the AwsConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if awsConfig is null

    - #### getGcpConfig

          public GcpConfig getGcpConfig()

      Returns:
        the gcpConfig join configuration

    - #### setGcpConfig

          public JoinConfig setGcpConfig(GcpConfig gcpConfig)

      Parameters:
        `gcpConfig` - the GcpConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if gcpConfig is null

    - #### getAzureConfig

          public AzureConfig getAzureConfig()

      Returns:
        the azureConfig join configuration

    - #### setAzureConfig

          public JoinConfig setAzureConfig(AzureConfig azureConfig)

      Parameters:
        `azureConfig` - the AzureConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if azureConfig is null

    - #### getKubernetesConfig

          public KubernetesConfig getKubernetesConfig()

      Returns:
        the kubernetesConfig join configuration

    - #### setKubernetesConfig

          public JoinConfig setKubernetesConfig(KubernetesConfig kubernetesConfig)

      Parameters:
        `kubernetesConfig` - the KubernetesConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if kubernetesConfig is null

    - #### getEurekaConfig

          public EurekaConfig getEurekaConfig()

      Returns:
        the eurekaConfig join configuration

    - #### setEurekaConfig

          public JoinConfig setEurekaConfig(EurekaConfig eurekaConfig)

      Parameters:
        `eurekaConfig` - the EurekaConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if eurekaConfig is null

    - #### getDiscoveryConfig

          public DiscoveryConfig getDiscoveryConfig()

      Returns the currently defined `DiscoveryConfig`
      Returns:
        current DiscoveryProvidersConfig instance

    - #### setDiscoveryConfig

          public JoinConfig setDiscoveryConfig(DiscoveryConfig discoveryConfig)

      Sets a custom defined `DiscoveryConfig`
      Parameters:
        `discoveryConfig` - configuration to set
      Throws:
        `IllegalArgumentException` - if discoveryProvidersConfig is null

    - #### verify

          public void verify()

      Verifies this JoinConfig is valid. At most a single joiner should be active.
      Throws:
        `InvalidConfigurationException` - when the join config is not valid

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020. All rights reserved.